Package org.apache.tools.ant.taskdefs.optional.extension

## Class DeweyDecimal

- java.lang.Object
- - org.apache.tools.ant.util.DeweyDecimal
  - - org.apache.tools.ant.taskdefs.optional.extension.DeweyDecimal

All Implemented Interfaces:
  `java.lang.Comparable<DeweyDecimal>`

    public final class DeweyDecimal
    extends DeweyDecimal

Deprecated.
use org.apache.tools.ant.util.DeweyDecimal instead. Deprecated since ant 1.8
Utility class to contain version numbers in "Dewey Decimal" syntax. Numbers in the "Dewey Decimal" syntax consist of positive decimal integers separated by periods ".". For example, "2.0" or "1.2.3.4.5.6.7". This allows an extensible number to be used to represent major, minor, micro, etc versions. The version number must begin with a number. Original Implementation moved to org.apache.tools.ant.util.DeweyDecimal

### Constructor Summary

Constructors
`DeweyDecimal​(int[] components)` Deprecated. Construct a DeweyDecimal from an array of integer components.
`DeweyDecimal​(java.lang.String string)` Deprecated. Construct a DeweyDecimal from string in DeweyDecimal format.

### Method Summary

### Methods inherited from class org.apache.tools.ant.util.DeweyDecimal

`compareTo, equals, get, getSize, hashCode, isEqual, isGreaterThan, isGreaterThanOrEqual, isLessThan, isLessThanOrEqual, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeweyDecimal

    public DeweyDecimal​(int[] components)

Deprecated.
Construct a DeweyDecimal from an array of integer components.

Parameters:
  `components` - an array of integer components.

#### DeweyDecimal

    public DeweyDecimal​(java.lang.String string)
                 throws java.lang.NumberFormatException

Deprecated.
Construct a DeweyDecimal from string in DeweyDecimal format.

Parameters:
  `string` - the string in dewey decimal format
Throws:
  `java.lang.NumberFormatException` - if string is malformed